<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class SalesOrder extends Model
{
    protected $table = "sales_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const Model_type_one = 1; // 线下订单合同
    const Model_type_two = 2; // 分社订货合同
    const Model_type_three = 3; // 二手车精品加装合同
    public static $model_type = [
        self::Model_type_one,
        self::Model_type_two,
        self::Model_type_three
    ];

    public static $prefix = [
        self::Model_type_one => 'T9XS.',
        self::Model_type_two => 'T9SO.',
        self::Model_type_three => 'T9XS.'
    ];
}
